import { KebabToCamelCase, KebabCase } from '../types';
export declare function isString<T, P extends T>(value: T): value is P;
export declare function snakeToCamel(str: string): string;
export declare function camelToKebab<S extends string>(string: S): KebabCase<S>;
export declare function upperFirstLetter<S extends string>(string: S): Capitalize<S>;
export declare function kebabToCamel<S extends string>(str: S): KebabToCamelCase<S>;
export declare function capitalizeFirstChar(str: string): string;
