"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonApi = JsonApi;
const constants_1 = require("../../constants");
function JsonApi(entity, options) {
    return (target) => {
        Reflect.defineMetadata(constants_1.JSON_API_DECORATOR_ENTITY, entity, target);
        if (options) {
            Reflect.defineMetadata(constants_1.JSON_API_DECORATOR_OPTIONS, options, target);
        }
        return target;
    };
}
//# sourceMappingURL=json-api.decorator.js.map