"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrentDataSourceProvider = CurrentDataSourceProvider;
const constants_1 = require("../constants");
const typeorm_1 = require("@nestjs/typeorm");
function CurrentDataSourceProvider(connectionName) {
    return {
        provide: constants_1.CURRENT_DATA_SOURCE_TOKEN,
        useFactory: (dataSource) => dataSource,
        inject: [(0, typeorm_1.getDataSourceToken)(connectionName)],
    };
}
//# sourceMappingURL=data-source.factory.js.map