"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formErrorString = void 0;
const formErrorString = (entityMetadata, errorText) => {
    for (const column of entityMetadata.columns) {
        const result = new RegExp(column.databaseName).test(errorText);
        if (!result)
            continue;
        errorText = errorText.replace(column.databaseName, column.propertyName);
    }
    return errorText.replace(entityMetadata.tableName, entityMetadata.name);
};
exports.formErrorString = formErrorString;
//# sourceMappingURL=utils.js.map