"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MethodsService = void 0;
const get_all_1 = require("./get-all/get-all");
const get_one_1 = require("./get-one/get-one");
const delete_one_1 = require("./delete-one/delete-one");
const post_one_1 = require("./post-one/post-one");
const patch_one_1 = require("./patch-one/patch-one");
const get_relationship_1 = require("./get-relationship/get-relationship");
const post_relationship_1 = require("./post-relationship/post-relationship");
const delete_relationship_1 = require("./delete-relationship/delete-relationship");
const patch_relationship_1 = require("./patch-relationship/patch-relationship");
exports.MethodsService = {
    getAll: get_all_1.getAll,
    getOne: get_one_1.getOne,
    deleteOne: delete_one_1.deleteOne,
    postOne: post_one_1.postOne,
    patchOne: patch_one_1.patchOne,
    getRelationship: get_relationship_1.getRelationship,
    postRelationship: post_relationship_1.postRelationship,
    deleteRelationship: delete_relationship_1.deleteRelationship,
    patchRelationship: patch_relationship_1.patchRelationship,
};
//# sourceMappingURL=index.js.map