import { MethodName } from '../../../types';
export type SwaggerMethod = {
    [Key in MethodName]?: any;
};
export declare const swaggerMethod: SwaggerMethod;
export declare const errorSchema: {
    type: string;
    properties: {
        status: {
            type: string;
        };
        errors: {
            type: string;
            items: {
                type: string;
                properties: {
                    detail: {
                        type: string;
                    };
                    source: {
                        type: string;
                        properties: {
                            parameter: {
                                type: string;
                            };
                        };
                    };
                };
                required: string[];
            };
        };
    };
};
