"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zodDataSchema = void 0;
const zod_1 = require("zod");
const type_1 = require("./type");
const id_1 = require("./id");
const zod_utils_1 = require("../zod-utils");
const zodDataSchema = (type, typeId) => zod_1.z
    .object({
    id: (0, id_1.zodIdSchema)(typeId),
    type: (0, type_1.zodTypeSchema)(type),
})
    .strict()
    .refine(zod_utils_1.nonEmptyObject);
exports.zodDataSchema = zodDataSchema;
//# sourceMappingURL=data.js.map