import { Writeable, ZodArray, ZodEffects, ZodEnum } from 'zod';
export type ZodIncludeQuerySchema<U extends readonly [string, ...string[]]> = ZodEffects<ZodArray<ZodEnum<Writeable<U>>, 'atleastone'>, [
    Writeable<U>[number],
    ...Writeable<U>[number][]
], [
    Writeable<U>[number],
    ...Writeable<U>[number][]
]>;
export declare const zodIncludeQuerySchema: <U extends readonly [string, ...string[]]>(relationList: U) => ZodIncludeQuerySchema<U>;
