"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonBaseController = void 0;
const constants_1 = require("../../constants");
class JsonBaseController {
    [constants_1.TYPEORM_SERVICE_PROPS];
    getOne(id, query) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].getOne(id, query);
    }
    getAll(query) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].getAll(query);
    }
    deleteOne(id) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].deleteOne(id);
    }
    patchOne(id, inputData) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].patchOne(id, inputData);
    }
    postOne(inputData) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].postOne(inputData);
    }
    getRelationship(id, relName) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].getRelationship(id, relName);
    }
    postRelationship(id, relName, input) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].postRelationship(id, relName, input);
    }
    deleteRelationship(id, relName, input) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].deleteRelationship(id, relName, input);
    }
    patchRelationship(id, relName, input) {
        return this[constants_1.TYPEORM_SERVICE_PROPS].patchRelationship(id, relName, input);
    }
}
exports.JsonBaseController = JsonBaseController;
//# sourceMappingURL=json-base.controller.js.map