"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryCheckSelectField = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const constants_1 = require("../../../constants");
class QueryCheckSelectField {
    configParam;
    transform(value) {
        if (this.configParam.requiredSelectField && value.fields === null) {
            const error = {
                code: 'invalid_arguments',
                message: `Fields params in query is required'`,
                path: ['fields'],
            };
            throw new common_1.BadRequestException([error]);
        }
        return value;
    }
}
exports.QueryCheckSelectField = QueryCheckSelectField;
tslib_1.__decorate([
    (0, common_1.Inject)(constants_1.CONTROL_OPTIONS_TOKEN),
    tslib_1.__metadata("design:type", Object)
], QueryCheckSelectField.prototype, "configParam", void 0);
//# sourceMappingURL=query-check-select-field.js.map