"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notes = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const index_1 = require("./index");
let Notes = class Notes {
    id;
    text;
    createdAt;
    updatedAt;
    createdBy;
};
exports.Notes = Notes;
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    tslib_1.__metadata("design:type", String)
], Notes.prototype, "id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        nullable: false,
    }),
    tslib_1.__metadata("design:type", String)
], Notes.prototype, "text", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({
        name: 'created_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Notes.prototype, "createdAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.UpdateDateColumn)({
        name: 'updated_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Notes.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.ManyToOne)(() => index_1.Users, (item) => item.notes),
    (0, typeorm_1.JoinColumn)({
        name: 'created_by',
    }),
    tslib_1.__metadata("design:type", Object)
], Notes.prototype, "createdBy", void 0);
exports.Notes = Notes = tslib_1.__decorate([
    (0, typeorm_1.Entity)('notes')
], Notes);
//# sourceMappingURL=notes.js.map