"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pods = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const index_1 = require("./index");
let Pods = class Pods {
    id;
    name;
    createdAt;
    updatedAt;
    lockedRequests;
};
exports.Pods = Pods;
tslib_1.__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    tslib_1.__metadata("design:type", String)
], Pods.prototype, "id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        length: 50,
        nullable: false,
        unique: true,
    }),
    tslib_1.__metadata("design:type", String)
], Pods.prototype, "name", void 0);
tslib_1.__decorate([
    (0, typeorm_1.CreateDateColumn)({
        name: 'created_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Pods.prototype, "createdAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.UpdateDateColumn)({
        name: 'updated_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Pods.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.ManyToMany)(() => index_1.Requests, (item) => item.podLocks),
    tslib_1.__metadata("design:type", Array)
], Pods.prototype, "lockedRequests", void 0);
exports.Pods = Pods = tslib_1.__decorate([
    (0, typeorm_1.Entity)('pods')
], Pods);
//# sourceMappingURL=pods.js.map