import { DynamicModule } from '@nestjs/common';
import { IMemoryDb } from 'pg-mem';
import { Users, Roles, RequestsHavePodLocks, Requests, Pods, Comments, Addresses, UserGroups, Notes } from './entities';
export * from './entities';
export * from './utils';
export declare const entities: (typeof Users | typeof Addresses | typeof Roles | typeof Comments | typeof Notes | typeof UserGroups | typeof RequestsHavePodLocks | typeof Requests | typeof Pods)[];
export declare function createAndPullSchemaBase(): IMemoryDb;
export declare function mockDBTestModule(db: IMemoryDb): DynamicModule;
