import { Repository } from 'typeorm';
import { Provider } from '@nestjs/common';
import { getDataSourceToken } from '@nestjs/typeorm';
import { Addresses, Comments, Notes, Pods, Roles, UserGroups } from '../entities';
import { Users } from '../entities';
import { TestingModule } from '@nestjs/testing';
export declare function providerEntities(dataSourceToken: ReturnType<typeof getDataSourceToken>): Provider[];
export declare function getRepository(module: TestingModule): {
    userRepository: Repository<Users>;
    addressesRepository: Repository<Addresses>;
    notesRepository: Repository<Notes>;
    commentsRepository: Repository<Comments>;
    rolesRepository: Repository<Roles>;
    userGroupRepository: Repository<UserGroups>;
    podsRepository: Repository<Pods>;
};
