import { ParamsForExecute } from '../types';
import { ResourceObject, ResourceObjectRelationships, ValidateQueryError } from '../../../types';
import { InterceptorsContextCreator } from '@nestjs/core/interceptors';
export declare function isZodError(param: string | unknown): param is {
    message: ValidateQueryError[];
};
export declare class ExecuteService {
    private readonly dataSource;
    private readonly moduleRef;
    private asyncIteratorFactory;
    private options;
    private mapControllerInterceptor;
    private asyncLocalStorage;
    private _interceptorsContextCreator;
    get interceptorsContextCreator(): InterceptorsContextCreator;
    private interceptorsConsumer;
    run(params: ParamsForExecute[], tmpIds: (string | number)[]): Promise<(ResourceObject<any> | ResourceObjectRelationships<any, any>)[]>;
    private executeOperations;
    private getInterceptorsArray;
    private replaceTmpIds;
    private getControllerInstance;
    private processException;
    private runOneOperation;
    private runPipes;
    private getPipeInstance;
}
