import { Entity, EntityRelation } from '../types';
import { TupleOfEntityProps, TupleOfEntityRelation } from '../helper/orm';
export declare class EntityPropsMapService {
    private dataSource;
    private _propsForEntity;
    private _relPropsForEntity;
    private _relTypePropsForEntity;
    private _primaryColumnsForEntity;
    private _nameForEntity;
    getPropsForEntity<E extends Entity>(entity: E): TupleOfEntityProps<E>;
    getRelPropsForEntity<E extends Entity>(entity: E): TupleOfEntityRelation<E>;
    getRelationPropsType<E extends Entity>(entity: E, rel: EntityRelation<E>): any;
    getPrimaryColumnsForEntity<E extends Entity>(entity: E): keyof E;
    getNameForEntity<E extends Entity>(entity: E): string;
    private pullPropsAndRelFoEntity;
}
