"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteOne = deleteOne;
async function deleteOne(id) {
    const data = await this.repository.findOne({
        where: {
            [this.typeormUtilsService.currentPrimaryColumn.toString()]: id,
        },
    });
    if (!data)
        return void 0;
    this.config.useSoftDelete
        ? await this.repository.softRemove(data)
        : await this.repository.remove(data);
    return void 0;
}
//# sourceMappingURL=delete-one.js.map