"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postRelationship = postRelationship;
const get_relationship_1 = require("../get-relationship/get-relationship");
async function postRelationship(id, rel, input) {
    const idsResult = await this.typeormUtilsService.validateRelationInputData(rel, input);
    const postBuilder = this.repository
        .createQueryBuilder()
        .relation(rel.toString())
        .of(id);
    if (Array.isArray(idsResult)) {
        await postBuilder.add(idsResult);
    }
    else {
        await postBuilder.set(idsResult);
    }
    return get_relationship_1.getRelationship.call(this, id, rel);
}
//# sourceMappingURL=post-relationship.js.map