import { Entity } from '../../types';
import { PropsNameResultField, PropertyTarget } from './orm-helper';
export declare function guardKeyForPropertyTarget<E extends Entity, For extends PropsNameResultField, R extends PropertyTarget<E, For>>(relationsTargets: R, key: any): asserts key is keyof R;
export declare function guardIsKeyOfObject<R>(object: R, key: string | number | symbol): asserts key is keyof R;
export declare function guardIsArray<T>(input: T | Array<T>): input is Array<T>;
