import { EntityTarget } from 'typeorm/common/EntityTarget';
import { ObjectLiteral } from 'typeorm/common/ObjectLiteral';
import { Type } from '@nestjs/common/interfaces';
import { Entity } from '../types';
export { camelToKebab, snakeToCamel, kebabToCamel, upperFirstLetter, isString, ObjectTyped, } from "../../../shared-utils/src";
export declare const nameIt: (name: string, cls: new (...rest: unknown[]) => Record<never, unknown>) => {
    new (...arg: unknown[]): {};
};
export declare const getEntityName: <Entity extends ObjectLiteral>(entity: EntityTarget<Entity>) => string;
export declare function getProviderName(entity: EntityTarget<Entity>, name: string): string;
export declare function entityForClass<T = any>(type: Type<T>): Entity;
