import { ZodArray, ZodObject, ZodString, ZodUnion } from 'zod';
export type Data = ZodObject<{
    type: ZodString;
    id: ZodString;
}, 'strict'>;
export declare const data: Data;
export type PostRelationshipSchema = ZodUnion<[
    Data,
    ZodArray<Data, 'atleastone'>
]>;
export declare const postRelationshipSchema: PostRelationshipSchema;
