import { ZodEffects, ZodObject } from 'zod';
import { ZodTypeSchema } from './type';
import { ZodIdSchema } from './id';
import { TypeForId } from '../../orm';
export type ZodDataSchema<S extends string> = ZodEffects<ZodObject<{
    id: ZodIdSchema;
    type: ZodTypeSchema<S>;
}>>;
export declare const zodDataSchema: (type: string, typeId: TypeForId) => ZodDataSchema<string>;
