"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zodIdSchema = void 0;
const zod_1 = require("zod");
const orm_1 = require("../../orm");
const reg = new RegExp('^-?\\d+$');
const zodIdSchema = (typeId) => {
    let idSchema = zod_1.z.string();
    if (typeId === orm_1.TypeField.number) {
        idSchema = idSchema.regex(reg);
    }
    return idSchema;
};
exports.zodIdSchema = zodIdSchema;
//# sourceMappingURL=id.js.map