"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zodIncludeQuerySchema = void 0;
const zod_1 = require("zod");
const zod_utils_1 = require("../zod-utils");
const zodIncludeQuerySchema = (relationList) => zod_1.z.enum(relationList).array().nonempty().refine((0, zod_utils_1.uniqueArray)(), {
    message: 'Include should have unique relation',
});
exports.zodIncludeQuerySchema = zodIncludeQuerySchema;
//# sourceMappingURL=include.js.map