import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { Observable } from 'rxjs';
import { Entity } from '../../types';
export declare class ErrorInterceptors<E extends Entity> implements NestInterceptor {
    private repository;
    private config;
    intercept(context: ExecutionContext, next: CallHandler<any>): Observable<any> | Promise<Observable<any>>;
    private prepareDataBaseError;
    private prepareMysqlError;
    private preparePostgresError;
}
