"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestsHavePodLocks = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
let RequestsHavePodLocks = class RequestsHavePodLocks {
    id;
    getRequestId() {
        this.requestId = this.request_id;
    }
    setRequestId() {
        if (this.requestId) {
            this.request_id = this.requestId;
        }
    }
    requestId;
    getPodId() {
        this.podId = this.pod_id;
    }
    setPodId() {
        if (this.podId) {
            this.pod_id = this.podId;
        }
    }
    podId;
    request_id;
    pod_id;
    createdAt;
    updatedAt;
    externalId;
};
exports.RequestsHavePodLocks = RequestsHavePodLocks;
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    tslib_1.__metadata("design:type", Number)
], RequestsHavePodLocks.prototype, "id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.AfterLoad)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], RequestsHavePodLocks.prototype, "getRequestId", null);
tslib_1.__decorate([
    (0, typeorm_1.BeforeInsert)(),
    (0, typeorm_1.BeforeUpdate)(),
    (0, typeorm_1.BeforeRemove)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], RequestsHavePodLocks.prototype, "setRequestId", null);
tslib_1.__decorate([
    (0, typeorm_1.AfterLoad)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], RequestsHavePodLocks.prototype, "getPodId", null);
tslib_1.__decorate([
    (0, typeorm_1.BeforeInsert)(),
    (0, typeorm_1.BeforeUpdate)(),
    (0, typeorm_1.BeforeRemove)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], RequestsHavePodLocks.prototype, "setPodId", null);
tslib_1.__decorate([
    (0, typeorm_1.Column)({
        name: 'request_id',
        type: 'int',
        nullable: false,
    }),
    tslib_1.__metadata("design:type", Number)
], RequestsHavePodLocks.prototype, "request_id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({
        name: 'pod_id',
        type: 'int',
        nullable: false,
    }),
    tslib_1.__metadata("design:type", Number)
], RequestsHavePodLocks.prototype, "pod_id", void 0);
tslib_1.__decorate([
    (0, typeorm_1.CreateDateColumn)({
        name: 'created_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], RequestsHavePodLocks.prototype, "createdAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.UpdateDateColumn)({
        name: 'updated_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], RequestsHavePodLocks.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({
        name: 'external_id',
        type: 'int',
        nullable: true,
        unsigned: true,
        default: 'NULL',
        unique: true,
    }),
    tslib_1.__metadata("design:type", Number)
], RequestsHavePodLocks.prototype, "externalId", void 0);
exports.RequestsHavePodLocks = RequestsHavePodLocks = tslib_1.__decorate([
    (0, typeorm_1.Entity)('requests_have_pod_locks')
], RequestsHavePodLocks);
//# sourceMappingURL=requests-have-pod-locks.js.map