import { Repository } from 'typeorm';
import { Addresses, Comments, Notes, Roles, UserGroups, Users } from '../entities';
export declare function pullAddress(addressRepo: Repository<Addresses>): Promise<Addresses>;
export declare function pullComment(commentRepo: Repository<Comments>): Promise<Comments>;
export declare function pullNote(noteRepo: Repository<Notes>): Promise<Notes>;
export declare function pullRole(roleRepo: Repository<Roles>): Promise<Roles>;
export declare function pullUser(userPero: Repository<Users>): Promise<Users>;
export declare function pullUserGroup(userGroupRepo: Repository<UserGroups>): Promise<UserGroups>;
export declare function pullAllData(userPero: Repository<Users>, addressRepo?: Repository<Addresses>, noteRepo?: Repository<Notes>, commentRepo?: Repository<Comments>, roleRepo?: Repository<Roles>, userGroupRepo?: Repository<UserGroups>): Promise<Users>;
