"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZodInputOperation = ZodInputOperation;
const constants_1 = require("../constants");
const constants_2 = require("../../../constants");
const zod_helper_1 = require("../utils/zod/zod-helper");
function ZodInputOperation(connectionName) {
    return {
        provide: constants_1.ZOD_INPUT_OPERATION,
        useFactory(dataSource, mapController) {
            return (0, zod_helper_1.zodInputOperation)(dataSource, mapController);
        },
        inject: [
            {
                token: constants_2.CURRENT_DATA_SOURCE_TOKEN,
                optional: false,
            },
            {
                token: constants_1.MAP_CONTROLLER_ENTITY,
                optional: false,
            },
        ],
    };
}
//# sourceMappingURL=zod-input-operation.js.map